function bin = binar_otsu (I)     %fonction qui prend en paramtre une image I et retourne une image binaire (seuil de binarisation dtermin par la mthode d'Otsu)
	[m, n, can] = size(I);      %m=nb lignes, n=nb colonnes, can=nb canaux
	if(can > 1)
	    I = rgb2gray(I);               %dans le cas d'une image couleur, la transformer en NG
	end
	
	% Solution via matlab de la binarisation :
	level = graythresh(I);           %calcule le seuil par la mthode d'Otsu : attention retourne une valeur normalise entre 0 et 1
	bin = im2bw(I,level);            %binarisation matlab
	
	figure
	%divise la fentre en 1 ligne et 2 colonnes : pour afficher 2 images l'une  ct de l'autre
	subplot(1, 2, 1)            %slectionne le premier cadran 
	colormap(gray)
	%imagesc(I);              %affichage de l'image originale
	plot(imhist(bin*255));   %histogramme de l'image binarise : attention bin contient des valeurs entre 0 et 1

	subplot(1, 2, 2)           %slectionne le deuxime cadran
	colormap(gray)
	imagesc(bin);  
	title(strcat(['Seuil gal  ', num2str(level*255)]));    % affichage du seuil